From: "Horea Christian" <horea.christ@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-libs/itk/, sci-libs/itk/files/
Date: Fri, 25 Sep 2020 07:33:30 +0000 (UTC) [thread overview]
Message-ID: <1601019200.7112647657d76049ee42f5e2c86c05c2c1330760.chymera@gentoo> (raw)
commit: 7112647657d76049ee42f5e2c86c05c2c1330760
Author: Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Fri Sep 25 07:33:20 2020 +0000
Commit: Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Fri Sep 25 07:33:20 2020 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=71126476
sci-libs/itk: version bump 5.1.0
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Horea Christian <chr <AT> chymera.eu>
sci-libs/itk/files/itk-5.1.0-downloads.patch | 20 +++
sci-libs/itk/itk-5.1.0.ebuild | 188 +++++++++++++++++++++++++++
2 files changed, 208 insertions(+)
diff --git a/sci-libs/itk/files/itk-5.1.0-downloads.patch b/sci-libs/itk/files/itk-5.1.0-downloads.patch
new file mode 100644
index 000000000..34fdb76d1
--- /dev/null
+++ b/sci-libs/itk/files/itk-5.1.0-downloads.patch
@@ -0,0 +1,20 @@
+--- a/CMake/ITKDownloadSetup.cmake 2020-07-30 19:03:10.330325423 -0400
++++ b/CMake/ITKDownloadSetup.cmake 2020-07-30 19:03:10.330325423 -0400
+@@ -11,7 +11,7 @@
+
+ macro(itk_download_attempt_check _name)
+ if(ITK_FORBID_DOWNLOADS)
+- message(SEND_ERROR "Attempted to download ${_name} when ITK_FORBID_DOWNLOADS is ON")
++ message(WARNING "Attempted to download ${_name} when ITK_FORBID_DOWNLOADS is ON")
+ endif()
+ endmacro()
+
+--- a/Modules/Remote/GenericLabelInterpolator.remote.cmake 2020-04-25 14:30:53.000000000 -0400
++++ b/Modules/Remote/GenericLabelInterpolator.remote.cmake 2020-04-25 14:30:53.000000000 -0400
+@@ -44,6 +44,4 @@
+ itk_fetch_module(GenericLabelInterpolator
+ "A generic interpolator for multi-label images."
+ MODULE_COMPLIANCE_LEVEL 2
+- GIT_REPOSITORY ${git_protocol}://github.com/InsightSoftwareConsortium/ITKGenericLabelInterpolator.git
+- GIT_TAG b95fe46c7f4fe8002af67c67e6fe4e1f087bf6b7
+ )
diff --git a/sci-libs/itk/itk-5.1.0.ebuild b/sci-libs/itk/itk-5.1.0.ebuild
new file mode 100644
index 000000000..64fd555cb
--- /dev/null
+++ b/sci-libs/itk/itk-5.1.0.ebuild
@@ -0,0 +1,188 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
+
+inherit toolchain-funcs cmake python-single-r1
+
+MY_PN="InsightToolkit"
+MY_P="${MY_PN}-${PV}"
+GLI_HASH="a02cbeaf28cb3d28ac66b9ac651073530eb6ab78"
+TEST_HASH="0eb202e23ae81be123b1b26cf31a9ba743824700"
+declare -a GLI_TEST_HASHES=(
+ "a5e11ea71164ff78c65fcf259db01ea5db981a9d868e60045ff2bffca92984df1174bf984a1076e450f0d5d69b4f0191ed1a61465c220e2c91a893b5df150c0a"
+ "bcdbb347f3704262d1f00be7179d6a0a6e68aed56c0653e8072ee5a94985c713bd229c935b1226a658af84fb7f1fffc2458c98364fc35303a2303b12f9f7ce2f"
+)
+
+GLI_TEST_SRC=""
+for i in "${GLI_TEST_HASHES[@]}"; do
+ GLI_TEST_SRC+="https://data.kitware.com/api/v1/file/hashsum/sha512/${i} -> ${i} "
+done
+
+DESCRIPTION="NLM Insight Segmentation and Registration Toolkit"
+HOMEPAGE="http://www.itk.org"
+SRC_URI="
+ https://github.com/InsightSoftwareConsortium/ITK/releases/download/v${PV}/${MY_P}.tar.gz
+ https://github.com/InsightSoftwareConsortium/ITKGenericLabelInterpolator/archive/${GLI_HASH}.zip -> ITKGenericLabelInterpolator-${PV}.zip
+ test? (
+ https://github.com/InsightSoftwareConsortium/ITK/releases/download/v${PV}/InsightData-${PV}.tar.gz
+ https://github.com/InsightSoftwareConsortium/ITKTestingData/archive/${TEST_HASH}.tar.gz
+ ${GLI_TEST_SRC}
+ )
+ "
+RESTRICT="primaryuri"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="debug doc examples fftw python review test vtkglue"
+# python will not work, this is a know issue upstream:
+# https://github.com/InsightSoftwareConsortium/ITK/issues/2005
+# https://github.com/InsightSoftwareConsortium/ITK/issues/1229
+# https://github.com/InsightSoftwareConsortium/ITKGenericLabelInterpolator/issues/10
+
+RDEPEND="
+ dev-libs/double-conversion:0=
+ media-libs/openjpeg:2
+ media-libs/libpng:0=
+ media-libs/tiff:0=[jpeg]
+ sci-libs/dcmtk:0=
+ sci-libs/hdf5:0=[cxx]
+ sys-libs/zlib:0=
+ virtual/jpeg:0=
+ fftw? ( sci-libs/fftw:3.0= )
+ vtkglue? ( sci-libs/vtk:0=[rendering,python?] )
+"
+DEPEND="${RDEPEND}
+ sys-apps/coreutils
+ python? (
+ >=dev-lang/swig-2.0:0
+ dev-cpp/castxml
+ )
+ doc? ( app-doc/doxygen )
+"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+ "${FILESDIR}"/tests.patch
+ "${FILESDIR}"/${P}-downloads.patch
+)
+
+pkg_pretend() {
+ if [[ -z ${ITK_COMPUTER_MEMORY_SIZE} ]]; then
+ elog "To tune ITK to make the best use of working memory you can set"
+ elog " ITK_COMPUTER_MEMORY_SIZE=XX"
+ elog "in make.conf, default is 1 (unit is GB)"
+ fi
+ if use python && [[ -z ${ITK_WRAP_DIMS} ]]; then
+ elog "For Python language bindings, you can define the dimensions"
+ elog "you want to create bindings for by setting"
+ elog " ITK_WRAP_DIMS=X;Y;Z..."
+ elog "in make.conf, default is 2;3 for 2D and 3D data"
+ fi
+}
+
+src_prepare() {
+ sed -i -e "s/find_package(OpenJPEG 2.0.0/find_package(OpenJPEG/g"\
+ Modules/ThirdParty/GDCM/src/gdcm/CMakeLists.txt
+ ln -sr ../ITKGenericLabelInterpolator-* Modules/External/ITKGenericLabelInterpolator || die
+ cmake_src_prepare
+ if use test; then
+ cp -rf "../ITKTestingData-${TEST_HASH}/"* ".ExternalData/" || die
+ mv "../ITKTestingData-${TEST_HASH}" "${BUILD_DIR}/.ExternalData" || die
+ for i in "${GLI_TEST_HASHES[@]}"; do
+ cp "${DISTDIR}/${i}" ".ExternalData/SHA512/" || die
+ cp "${DISTDIR}/${i}" "${BUILD_DIR}/.ExternalData/SHA512/" || die
+ done
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_EXAMPLES="$(usex examples ON OFF)"
+ -DBUILD_SHARED_LIBS=ON
+ -DBUILD_TESTING="$(usex test ON OFF)"
+ -Ddouble-conversion_INCLUDE_DIRS="${EPREFIX}/usr/include/double-conversion"
+ -DExternalData_OBJECT_STORES="${WORKDIR}/InsightToolkit-${PV}/.ExternalData"
+ -DGDCM_USE_SYSTEM_OPENJPEG=ON
+ -DITK_FORBID_DOWNLOADS:BOOL=ON
+ -DITK_INSTALL_LIBRARY_DIR=$(get_libdir)
+ -DITK_USE_REVIEW="$(usex review ON OFF)"
+ -DITK_USE_SYSTEM_DCMTK=ON
+ -DITK_USE_SYSTEM_DOUBLECONVERSION=ON
+ -DITK_USE_SYSTEM_CASTXML=ON
+ -DITK_USE_SYSTEM_HDF5=ON
+ -DITK_USE_SYSTEM_JPEG=ON
+ -DITK_USE_SYSTEM_PNG=ON
+ -DITK_USE_SYSTEM_SWIG=ON
+ -DITK_USE_SYSTEM_TIFF=ON
+ -DITK_USE_SYSTEM_ZLIB=ON
+ -DITK_USE_KWSTYLE=OFF
+ -DITK_BUILD_DEFAULT_MODULES=ON
+ -DITK_COMPUTER_MEMORY_SIZE="${ITK_COMPUTER_MEMORY_SIZE:-1}"
+ -DModule_GenericLabelInterpolator:BOOL=ON
+ -DModule_ITKReview:BOOL=ON
+ -DWRAP_ITK_JAVA=OFF
+ -DWRAP_ITK_TCL=OFF
+ )
+ if use fftw; then
+ mycmakeargs+=(
+ -DUSE_FFTWD=ON
+ -DUSE_FFTWF=ON
+ -DUSE_SYSTEM_FFTW=ON
+ -DITK_WRAP_double=ON
+ -DITK_WRAP_vector_double=ON
+ -DITK_WRAP_covariant_vector_double=ON
+ -DITK_WRAP_complex_double=ON
+ )
+ fi
+ if use vtkglue; then
+ mycmakeargs+=(
+ -DModule_ITKVtkGlue=ON
+ )
+ fi
+ if use python; then
+ mycmakeargs+=(
+ -DITK_WRAP_PYTHON=ON
+ -DITK_WRAP_DIMS="${ITK_WRAP_DIMS:-2;3}"
+ )
+ else
+ mycmakeargs+=(
+ -DITK_WRAP_PYTHON=OFF
+ )
+ fi
+ cmake_src_configure
+}
+
+src_install() {
+ cmake_src_install
+
+ if use examples; then
+ insinto /usr/share/doc/${PF}/examples
+ docompress -x /usr/share/doc/${PF}/examples
+ doins -r "${S}"/Examples/*
+ fi
+
+ echo "ITK_DATA_ROOT=${EROOT%/}/usr/share/${PN}/data" > ${T}/40${PN}
+ local ldpath="${EROOT%/}/usr/$(get_libdir)/InsightToolkit"
+ if use python; then
+ echo "PYTHONPATH=${EROOT%/}/usr/$(get_libdir)/InsightToolkit/WrapITK/Python" >> "${T}"/40${PN}
+ ldpath="${ldpath}:${EROOT%/}/usr/$(get_libdir)/InsightToolkit/WrapITK/lib"
+ fi
+ echo "LDPATH=${ldpath}" >> "${T}"/40${PN}
+ doenvd "${T}"/40${PN}
+
+ if use doc; then
+ insinto /usr/share/doc/${PF}/api-docs
+ cd "${WORKDIR}"/html
+ rm *.md5 || die "Failed to remove superfluous hashes"
+ einfo "Installing API docs. This may take some time."
+ insinto /usr/share/doc/${PF}/api-docs
+ doins -r *
+ fi
+}
next reply other threads:[~2020-09-25 7:33 UTC|newest]
Thread overview: 8+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-09-25 7:33 Horea Christian [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-05-13 1:31 [gentoo-commits] proj/sci:master commit in: sci-libs/itk/, sci-libs/itk/files/ Horea Christian
2023-03-25 1:49 Horea Christian
2022-09-30 10:18 Andrew Ammerlaan
2022-09-15 11:17 Andrew Ammerlaan
2022-08-31 10:30 Andrew Ammerlaan
2022-08-23 10:58 Andrew Ammerlaan
2019-09-09 8:26 Horea Christian
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1601019200.7112647657d76049ee42f5e2c86c05c2c1330760.chymera@gentoo \
--to=horea.christ@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox